Package it.ernytech.tdlib

## Class TdApi.ChatEventStickerSetChanged

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.ChatEventAction
    - - it.ernytech.tdlib.TdApi.ChatEventStickerSetChanged

Enclosing class:
  TdApi

    public static class TdApi.ChatEventStickerSetChanged
    extends TdApi.ChatEventAction

The supergroup sticker set was changed.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`long` `newStickerSetId` New identifier of the chat sticker set; 0 if none.
`long` `oldStickerSetId` Previous identifier of the chat sticker set; 0 if none.

### Constructor Summary

Constructors
`ChatEventStickerSetChanged()` Default constructor.
`ChatEventStickerSetChanged​(long oldStickerSetId, long newStickerSetId)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### oldStickerSetId

    public long oldStickerSetId

Previous identifier of the chat sticker set; 0 if none.

#### newStickerSetId

    public long newStickerSetId

New identifier of the chat sticker set; 0 if none.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### ChatEventStickerSetChanged

    public ChatEventStickerSetChanged()

Default constructor.

#### ChatEventStickerSetChanged

    public ChatEventStickerSetChanged​(long oldStickerSetId,
                                      long newStickerSetId)

Constructor for initialization of all fields.

Parameters:
  `oldStickerSetId` - Previous identifier of the chat sticker set; 0 if none.
  `newStickerSetId` - New identifier of the chat sticker set; 0 if none.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR